---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: self-data-doc
  namespace: ns-cpd-p01-syn
spec:
  replicas: 1
  selector:
    matchLabels:
      app: self-data-doc
  template:
    metadata:
      labels:
        app: self-data-doc
    spec:
      containers:
        - name: self-data-doc
          image: registry.forge.grandlyon.com/web-et-numerique/factory/llle_project/self-data-technical-doc:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
              protocol: TCP
      nodeSelector:
        node-role.kubernetes.io/worker: ''
      imagePullSecrets:
        - name: forge-secret
